## org.eclipse.datatools.connectivity.oda.design
Interface OdaDesignSession

    public interface OdaDesignSession

Definition of an ODA design session on a Data Access Design.

The following features are supported:

- `Request`
- `Response`

See Also:
  `DesignPackage.getOdaDesignSession()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DesignSessionRequest` `getRequest()` Returns the value of the 'Request' containment reference.
`DataSetDesign` `getRequestDataSetDesign()` Obtains the top-level Data Set Design associated with the Request session.
`DataSourceDesign` `getRequestDataSourceDesign()` Obtains the Data Source Design associated with the top-level Data Set in the Request session.
`DesignSessionResponse` `getResponse()` Returns the value of the 'Response' containment reference.
`DataSetDesign` `getResponseDataSetDesign()` Gets the Data Set Design associated with the Response session.
`DataSourceDesign` `getResponseDataSourceDesign()` Gets the Data Source Design associated with the top level Data Set in the Response session.
`void` `setNewRequest(DataSetDesign dataSetDesign)` Sets the value of the '`Request`' containment reference with a new request associated with the given data set design.
`void` `setNewRequest(DataSourceDesign dataSourceDesign)` Sets the value of the '`Request`' containment reference with a new request associated with the given data source design.
`void` `setNewResponse(boolean isSessionOk, DataSetDesign dataSetDesign)` Sets the value of the '`Response`' containment reference with a new response that contains the given session status and DataSetDesign instance.
`void` `setNewResponse(boolean isSessionOk, DataSourceDesign dataSourceDesign)` Sets the value of the '`Response`' containment reference with a new response that contains the given session status and DataSourceDesign.
`void` `setRequest(DesignSessionRequest value)` Sets the value of the '`Request`' containment reference.
`void` `setResponse(DesignSessionResponse value)` Sets the value of the '`Response`' containment reference.
`void` `setResponseInCancelledState()` Sets the value of the '`Response`' containment reference with a response in a Cancelled session state.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getRequest

    DesignSessionRequest getRequest()

  Returns the value of the 'Request' containment reference.

  Returns:
    the value of the 'Request' containment reference.
  See Also:
    `setRequest(DesignSessionRequest)`, `DesignPackage.getOdaDesignSession_Request()`

### setRequest

    void setRequest(DesignSessionRequest value)

  Sets the value of the '`Request`' containment reference.

  Parameters:
    `value` - the new value of the 'Request' containment reference.
  See Also:
    `getRequest()`

### setNewRequest

    void setNewRequest(DataSourceDesign dataSourceDesign)

  Sets the value of the '`Request`' containment reference with a new request associated with the given data source design.

  Parameters:
    `dataSourceDesign` -
  See Also:
    `setRequest(DesignSessionRequest)`

### setNewRequest

    void setNewRequest(DataSetDesign dataSetDesign)

  Sets the value of the '`Request`' containment reference with a new request associated with the given data set design.

  Parameters:
    `dataSetDesign` -
  Since:
    3.0.4
  See Also:
    `setRequest(DesignSessionRequest)`

### getResponse

    DesignSessionResponse getResponse()

  Returns the value of the 'Response' containment reference.

  Returns:
    the value of the 'Response' containment reference.
  See Also:
    `setResponse(DesignSessionResponse)`, `DesignPackage.getOdaDesignSession_Response()`

### setResponse

    void setResponse(DesignSessionResponse value)

  Sets the value of the '`Response`' containment reference.

  Parameters:
    `value` - the new value of the 'Response' containment reference.
  See Also:
    `getResponse()`

### setNewResponse

    void setNewResponse(boolean isSessionOk,
                        DataSourceDesign dataSourceDesign)

  Sets the value of the '`Response`' containment reference with a new response that contains the given session status and DataSourceDesign.
  This method may be used by an ODA driver's design UI extension to update this design session with a response that contains the edited data source design definition.

  Parameters:
    `dataSourceDesign` -
  See Also:
    `setResponse(DesignSessionResponse)`

### setNewResponse

    void setNewResponse(boolean isSessionOk,
                        DataSetDesign dataSetDesign)

  Sets the value of the '`Response`' containment reference with a new response that contains the given session status and DataSetDesign instance.
  This method may be used by an ODA driver's design UI extension to update this design session with a response that contains the edited data set design definition.

  Parameters:
    `dataSetDesign` -
  See Also:
    `setResponse(DesignSessionResponse)`

### setResponseInCancelledState

    void setResponseInCancelledState()

  Sets the value of the '`Response`' containment reference with a response in a Cancelled session state.

  See Also:
    `setResponse(DesignSessionResponse)`

### getRequestDataSourceDesign

    DataSourceDesign getRequestDataSourceDesign()

  Obtains the Data Source Design associated with the top-level Data Set in the Request session.

  Returns:
    the value of the 'Data Source Design' containment reference; may be null if none is specified.
  See Also:
    `getRequest()`

### getRequestDataSetDesign

    DataSetDesign getRequestDataSetDesign()

  Obtains the top-level Data Set Design associated with the Request session.

  Returns:
    the value of the 'Data Set Design' containment reference; may be null if none is specified.
  See Also:
    `getRequest()`

### getResponseDataSourceDesign

    DataSourceDesign getResponseDataSourceDesign()

  Gets the Data Source Design associated with the top level Data Set in the Response session.

  Returns:
    the value of the 'Data Source Design' containment reference; could be null if none is specified.
  See Also:
    `getResponse()`

### getResponseDataSetDesign

    DataSetDesign getResponseDataSetDesign()

  Gets the Data Set Design associated with the Response session.

  Returns:
    the value of the 'Data Set Design' containment reference; could be null if none is specified.
  See Also:
    `getResponse()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.